## Ruby Standard Library Doc. Downloads

The version of the documentation you are looking at is 0.10.1.

If you are browsing this online (at ruby-doc.org), then you are looking at the latest version. If you wish to download this for offline viewing, click the following link:

- ruby-doc-stdlib-0.10.1.tgz

If you are browsing this offline and wish to download the latest version, then go straight to the downloads directory, or browse the latest docs online.

As you browse, whether online or offline, remember that the downloads directory and online documentation are linked from the Web Links box in the table of contents.

### Installation Instructions

When you download a tarball or zipfile, be aware that you can install it. This will copy the documentation to a central directory so your browser bookmarks will remain valid as you install new versions. Installation is optional; you can point your browser to `stdlib/index.html` wherever you unpack it and all the documentation will be accessible.

Here is an example installation session.

    [/tmp/ruby-doc-stdlib-0.8.1] $ ruby install.rb --help

      Usage: ruby install.rb [options]
      Options:
          -d, --doc-base DIR               Install documentation to DIR/stdlib
          -f, --force                      Don't ask any questions; just install
          -i, --interactive                Confirm any risky actions
          -h, --help                       Show this message

    [/tmp/ruby-doc-stdlib-0.8.1] $ ruby install.rb

      /usr/local/doc/ruby/stdlib contains the same version you want to install.
      Shall I bother? [y/N] y

      Installing stdlib directory to /usr/local/doc/ruby/stdlib
      You happy to proceed? [y/N] y

       * copying files to /usr/local/doc/ruby/stdlib.tmp
       * removing old installation
       * moving temporary files to /usr/local/doc/ruby/stdlib

      Successfully installed to /usr/local/doc/ruby/stdlib.
      Please point your browser to /usr/local/doc/ruby/stdlib/index.html.

The installer takes care of existing installations and asks you before doing anything risky.